# mojo_data

# JSON Version History Changes

## Version 2
Introduced in Android codebase on 2020-03-17

### removed LayoutPositions
- shortcuts are no longer usable (shortcut like `"0.8h"`)
- `layout_position` is now flatten into root media object


### position unit is now always `px` 
Impacted fields:
- `width`
- `height`
- `x`
- `y`
- `padding` (and `padding_left` etc. variations)

### renamed 
- `auto_duration` to `auto_start_time`

## Version 1 
### keys uniformization to snake case
Almost all fields impacted

### duration uniformization to seconds instead of ms
Impacted fields:
- `duration`
- `start_time`
- `character_delay`
- `word_delay`
- `line_delay`
- `delay_before_end`

### renamed 
- `text_gravity` to `text_align`
